App is not getting enabled on Confluence 7.1.1

Problem

SubSpace Navigation is not getting enabled on Confluence 7.1.1 with version 3.2.2

When trying to enable the app we get the following logs:

1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 2019-12-09 10:37:01,373 ERROR [ThreadPoolAsyncTaskExecutor::Thread 46] [plugin.osgi.factory.OsgiPlugin] onPluginContainerFailed Unable to start the plugin container for plugin 'de.communardo.confluence.plugins.subspace'  -- referer: https://...../plugins/servlet/upm | url: /rest/plugins/1.0/de.communardo.confluence.plugins.subspace-key | traceId: | userName: ................ org.springframework.beans.factory.UnsatisfiedDependencyException: Error creating bean with name 'navigationManager' defined in URL [bundle://295.0:0/META-INF/spring/atlassian-plugins-components.xml]: Unsatisfied dependency expressed through constructor parameter 3; nested exception is org.springframework.beans.factory.NoUniqueBeanDefinitionException: No qualifying bean of type 'com.atlassian.confluence.core.ContentEntityManager' available: expected single matching bean but found 2: contentEntityManager,pageManager at org.springframework.beans.factory.support.ConstructorResolver.createArgumentArray(ConstructorResolver.java:769) at org.springframework.beans.factory.support.ConstructorResolver.autowireConstructor(ConstructorResolver.java:218) at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.autowireConstructor (AbstractAutowireCapableBeanFactory.java:1341) atorg.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBeanInstance (AbstractAutowireCapableBeanFactory.java:1187) ................ Caused by: org.springframework.beans.factory.NoUniqueBeanDefinitionException: No qualifying bean of type 'com.atlassian.confluence.core.ContentEntityManager' available: expected single matching bean but found 2: contentEntityManager,pageManager at org.springframework.beans.factory.config.DependencyDescriptor.resolveNotUnique(DependencyDescriptor.java:221) at org.springframework.beans.factory.support.DefaultListableBeanFactory.doResolveDependency (DefaultListableBeanFactory.java:1229) at org.springframework.beans.factory.support.DefaultListableBeanFactory.resolveDependency (DefaultListableBeanFactory.java:1171) at org.springframework.beans.factory.support.ConstructorResolver.resolveAutowiredArgument(ConstructorResolver.java:857) at org.springframework.beans.factory.support.ConstructorResolver.createArgumentArray(ConstructorResolver.java:760) ..................

 

Solution

We are currently working on a fix:

If you are not yet watching the app SubSpace Navigation for Confluence, please go to "SubSpace Navigation for Confluence“ and scroll down and click on Watch app. Then you will get notified as soon as a new release for the app is available.